slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSetDSType

Sets the type of the internal DS object based on the current settings of the polynomial eigensolver.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetDSType(PEP pep)

Collective

### Input Parameter

| pep | - polynomial eigensolver context

### Note

This function need not be called explicitly, since it will be called at both PEPSetFromOptions() and PEPSetUp().

### See Also

PEPSetFromOptions(), PEPSetUp()

### Level

developer

### Location

src/pep/interface/pepsetup.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages